#!/usr/local/bin/perl 
#
#  lifebox.cgi (c) Marc Majcher 2000
#

use strict;
use CGI ":standard";
#use CGI::Carp qw(fatalsToBrowser);
use Lifebox;

my ($bodytext, $entry);
my $index_file = "lifebox.index";

#  Define the param lookup table for actions

my %actions = (
	       display => \&Lifebox::display_entry,
	       latest => \&Lifebox::display_latest,
	       random => \&Lifebox::display_random,
	       search => \&Lifebox::display_search,
	       result => \&Lifebox::display_result,
	       );

#  Do your thing, or print out a default page if no params

if (param()) {

    #  get bodytext from action functions

    ($bodytext, $entry) = &{$actions{param('action')}};
}
else {

    #  read bodytext from the index file

    local $/ = undef;
    open (INDEX, $index_file) || die "can't open $index_file: $!";
    $bodytext = <INDEX>;
    close INDEX;
}

&Lifebox::print_template($bodytext, $entry);
